package net.northking.cctp.executePlan.dto.planBatch;

import net.northking.cctp.executePlan.dto.planSceneCase.AtuSceneNodeExecDto;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>Title: AtuBatchCaseCreateDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/09
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuBatchCaseInfoDto extends BatchStrategyDto implements Serializable {

    /**
     * 批次ID
     */
    private String batchId;

    /**
     * 环境id<br>
     */
    private String envId;

    /**
     * 数据集id
     */
    private String dataSetId;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 用例ID
     */
    private String caseId;

    /**
     * 用例编号
     */
    private String caseNo;

    /**
     * 用例名称
     */
    private String caseName;

    /**
     * 用例类型 1-接口，2-PC/BS，3-PC/CS，4-安卓，5-IOS，6-场景
     */
    private String caseType;

    /**
     * 用例参数
     */
    private Map<String, Object> caseParam;

    /**
     * 脚本编号
     */
    private String scriptId;

    /**
     * 脚本版本id<br>
     */
    private Integer versionId;
    /**
     * 脚本版本名称<br>
     */
    private String versionName;

    /**
     * 脚本名称
     */
    private String scriptName;

    /**
     * 脚本地址
     */
    private String scriptPath;

    /**
     * 应用平台类型
     */
    private String platformType;

    /**
     * 应用包名
     */
    private String appPackage;

    /**
     * 场景节点执行信息
     */
    private AtuSceneNodeExecDto sceneNodeExecDto;

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(String dataSetId) {
        this.dataSetId = dataSetId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public Map<String, Object> getCaseParam() {
        return caseParam;
    }

    public void setCaseParam(Map<String, Object> caseParam) {
        this.caseParam = caseParam;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public Integer getVersionId() {
        return versionId;
    }

    public void setVersionId(Integer versionId) {
        this.versionId = versionId;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptPath() {
        return scriptPath;
    }

    public void setScriptPath(String scriptPath) {
        this.scriptPath = scriptPath;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }

    public AtuSceneNodeExecDto getSceneNodeExecDto() {
        return sceneNodeExecDto;
    }

    public void setSceneNodeExecDto(AtuSceneNodeExecDto sceneNodeExecDto) {
        this.sceneNodeExecDto = sceneNodeExecDto;
    }
}
